## org.eclipse.emf.ecore.sdo
Interface EDataGraph.Internal

All Known Implementing Classes:
  EDataGraphImpl

Enclosing interface:
  EDataGraph

    public static interface EDataGraph.Internal

An internal interface implemented by all data graphs to support.

Method Summary
`java.lang.Object` `getWriteReplacement()` Returns an object to be used as a write replacement.
`java.lang.Object` `getWriteReplacement(EObject eObject)` Returns an object to be used as a write replacement for the given object in the data graph..

Method Detail

### getWriteReplacement

    java.lang.Object getWriteReplacement()

  Returns an object to be used as a write replacement.

  Returns:
    an object to be used as a write replacement.

### getWriteReplacement

    java.lang.Object getWriteReplacement(EObject eObject)

  Returns an object to be used as a write replacement for the given object in the data graph..

  Parameters:
    `eObject` - the object in question.
  Returns:
    an object to be used as a write replacement.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.